View Issue Details Jump to Notes ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0012364CMakeCMakepublic2011-07-27 15:002016-06-10 14:31
ReporterChristopher Sean Morrison 
Assigned ToKitware Robot 
PriorityhighSeverityfeatureReproducibilityN/A
StatusclosedResolutionmoved 
PlatformOSOS Version
Product VersionCMake 2.8.4 
Target VersionFixed in Version 
Summary0012364: Report compilation line on error
DescriptionThe vast majority of the time, the simplified "neat" output reporting (e.g., during a 'make' target build) from cmake is desirable, nay awesome.

However, on those occasions where the compile fails, seeing the stderr output is often (if not usually) insufficient. Of course, "make VERBOSE=1" will give all the gruesome detail including the compilation line, but I don't want verbose all the time or for a whole build pass. I just want the compilation line for the times the compiler fails.

I'd propose capturing the command entire output and, if the command fails (i.e., non-zero exit status or something that would otherwise halt the build), printing the command followed by the buffered output. This could be made a feature only enabled when VERBOSE=0 or something that could be enabled project-wide with a cmake function if it's undesirable as default behavior.

Thanks for your time and attention.
TagsNo tags attached.
Attached Files

 Relationships

  Notes
(0030284)
David Cole (manager)
2012-08-11 11:38

Sending old, never assigned issues to the backlog.

(The age of the bug, plus the fact that it's never been assigned to anyone means that nobody is actively working on it...)

If an issue you care about is sent to the backlog when you feel it should have been addressed in a different manner, please bring it up on the CMake mailing list for discussion. Sign up for the mailing list here, if you're not already on it: http://www.cmake.org/mailman/listinfo/cmake [^]

It's easy to re-activate a bug here if you can find a CMake developer who has the bandwidth to take it on, and ferry a fix through to our 'next' branch for dashboard testing.
(0041872)
Kitware Robot (administrator)
2016-06-10 14:28

Resolving issue as `moved`.

This issue tracker is no longer used. Further discussion of this issue may take place in the current CMake Issues page linked in the banner at the top of this page.

 Issue History
Date Modified Username Field Change
2011-07-27 15:00 Christopher Sean Morrison New Issue
2012-08-11 11:38 David Cole Status new => backlog
2012-08-11 11:38 David Cole Note Added: 0030284
2016-06-10 14:28 Kitware Robot Note Added: 0041872
2016-06-10 14:28 Kitware Robot Status backlog => resolved
2016-06-10 14:28 Kitware Robot Resolution open => moved
2016-06-10 14:28 Kitware Robot Assigned To => Kitware Robot
2016-06-10 14:31 Kitware Robot Status resolved => closed


Copyright © 2000 - 2018 MantisBT Team